package com.sixin.module_p.ui.user.about

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.sixin.module_p.R
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaAboutUsBinding

class PdaAboutUsActivity : BasePdaActivity<ActivityPdaAboutUsBinding, PdaAboutUsViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_pda_about_us
    }

    override fun viewModelClass(): Class<PdaAboutUsViewModel> {
        return PdaAboutUsViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("关于我们")
        binding.viewModel = viewModel
        viewModel.onInit()
    }

    companion object{
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, PdaAboutUsActivity::class.java)
            context.startActivity(starter)
        }
    }

}